Bug 159533 - [RHEL4] Anaconda assigns the same network config to multiple interfaces
Summary: [RHEL4] Anaconda assigns the same network config to multiple interfaces
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: anaconda
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Anaconda Maintenance Team
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 156322
TreeView+ depends on / blocked
 
Reported: 2005-06-03 17:29 UTC by David Lehman
Modified: 2007-11-30 22:07 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2005-10-05 15:29:35 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:594 qe-ready SHIPPED_LIVE anaconda bug fix update 2005-10-05 04:00:00 UTC

Description David Lehman 2005-06-03 17:29:12 UTC
+++ This bug was initially created as a clone of Bug #138852 +++

From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.3)
Gecko/20040924

Description of problem:
RHEL4 equivalent of bug 138852

 When a ks.cfg is written that has a network line like the following:
network --bootproto static --ip 146.128.226.133 --gateway
146.128.226.1 --netmask 255.255.255.0  --nameserver 150.110.235.192

If the system has more than one interface, and the connected interface
is eth2 and eth2 is used to install either by specifying the
"ksdevice" at the boot prompt, or by manually selecting the interface
with anaconda,  the following things will happen:

1) Both /etc/sysconfig/network-scripts/ifcfg-eth0 and ifcfg-eth2 will
have the *same IP configuration*.  The same IP address, netmask,
broadcast, etc.  The MAC addresses are different, and the device names
are different (each is correctly set in the ifcfg-eth? for its
respective interface).

2) As a clue to how this is happening, the /root/anaconda-ks.cfg that
is generated when the system has been installed has the following in it:

network --device eth0 --bootproto static --ip 146.128.226.133
--netmask 255.255.255.0 --gateway 146.128.226.1 --nameserver
150.110.235.192
network --device eth2 --bootproto static --ip 146.128.226.133
--netmask 255.255.255.0 --gateway 146.128.226.1 --nameserver
150.110.235.192


---------------------
(the customer) would like to see anaconda pass the ksdevice boot
option to the installer itself and configure only that interface
specified.

NOTE: I added --device eth1 to the ks.cfg and only the eth1 device was
configured (as expected). However, Citi needs thier ks.cfg to be
generic and prefers specifying the device as a boot parameter.


Version-Release number of selected component (if applicable):
anaconda-10.1.1.17-1

How reproducible:
Always

Steps to Reproduce:
1.Configure kickstart as above
2.build system
3.
    

Actual Results:  multiple NICs have the same configuration

Expected Results:  Network interfaces shouldn't be configured the same 

Additional info:

Comment 4 Jeremy Katz 2005-07-12 20:14:05 UTC
On HEAD, merged to rhel4-branch

Comment 13 Red Hat Bugzilla 2005-10-05 15:29:36 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-594.html



Note You need to log in before you can comment on or make changes to this bug.